# If you come from bash you might have to change your $PATH.
# export PATH=$HOME/bin:/usr/local/bin:$PATH

# Path to your oh-my-zsh installation.
export ZSH=$HOME/.oh-my-zsh

# Set name of the theme to load --- if set to "random", it will
# load a random theme each time oh-my-zsh is loaded, in which case,
# to know which specific one was loaded, run: echo $RANDOM_THEME
# See https://github.com/robbyrussell/oh-my-zsh/wiki/Themes
ZSH_THEME="robbyrussell"

# Set list of themes to pick from when loading at random
# Setting this variable when ZSH_THEME=random will cause zsh to load
# a theme from this variable instead of looking in ~/.oh-my-zsh/themes/
# If set to an empty array, this variable will have no effect.
# ZSH_THEME_RANDOM_CANDIDATES=( "robbyrussell" "agnoster" )

# Uncomment the following line to use case-sensitive completion.
# CASE_SENSITIVE="true"

# Uncomment the following line to use hyphen-insensitive completion.
# Case-sensitive completion must be off. _ and - will be interchangeable.
# HYPHEN_INSENSITIVE="true"

# Uncomment the following line to disable bi-weekly auto-update checks.
# DISABLE_AUTO_UPDATE="true"

# Uncomment the following line to change how often to auto-update (in days).
# export UPDATE_ZSH_DAYS=13

# Uncomment the following line to disable colors in ls.
# DISABLE_LS_COLORS="true"

# Uncomment the following line to disable auto-setting terminal title.
# DISABLE_AUTO_TITLE="true"

# Uncomment the following line to enable command auto-correction.
# ENABLE_CORRECTION="true"

# Uncomment the following line to display red dots whilst waiting for completion.
# COMPLETION_WAITING_DOTS="true"

# Uncomment the following line if you want to disable marking untracked files
# under VCS as dirty. This makes repository status check for large repositories
# much, much faster.
# DISABLE_UNTRACKED_FILES_DIRTY="true"

# Uncomment the following line if you want to change the command execution time
# stamp shown in the history command output.
# You can set one of the optional three formats:
# "mm/dd/yyyy"|"dd.mm.yyyy"|"yyyy-mm-dd"
# or set a custom format using the strftime function format specifications,
# see 'man strftime' for details.
# HIST_STAMPS="mm/dd/yyyy"

# Would you like to use another custom folder than $ZSH/custom?
# ZSH_CUSTOM=/path/to/new-custom-folder

# Which plugins would you like to load?
# Standard plugins can be found in ~/.oh-my-zsh/plugins/*
# Custom plugins may be added to ~/.oh-my-zsh/custom/plugins/
# Example format: plugins=(rails git textmate ruby lighthouse)
# Add wisely, as too many plugins slow down shell startup.
plugins=(git zsh-autosuggestions zsh-syntax-highlighting)

source $ZSH/oh-my-zsh.sh

# User configuration

# export MANPATH="/usr/local/man:$MANPATH"

# You may need to manually set your language environment
# export LANG=en_US.UTF-8

# Preferred editor for local and remote sessions
# if [[ -n $SSH_CONNECTION ]]; then
#   export EDITOR='vim'
# else
#   export EDITOR='mvim'
# fi

# Compilation flags
# export ARCHFLAGS="-arch x86_64"

# ssh
# export SSH_KEY_PATH="~/.ssh/rsa_id"

# Set personal aliases, overriding those provided by oh-my-zsh libs,
# plugins, and themes. Aliases can be placed here, though oh-my-zsh
# users are encouraged to define aliases within the ZSH_CUSTOM folder.
# For a full list of active aliases, run `alias`.
#
# Example aliases
# alias zshconfig="mate ~/.zshrc"
# alias ohmyzsh="mate ~/.oh-my-zsh"
alias gce1="ssh -i ~/.ssh/gce-key ubuntu@35.189.178.81"
alias gce_self="ssh -i ~/.ssh/gce_self ubuntu@35.198.250.99"
alias gce_new="ssh -i ~/.ssh/gce_self ubuntu@35.194.136.66"
alias bwg1="ssh -p 28509 root@67.216.215.124"
alias ali1="ssh root@139.129.13.131"
alias txy1="ssh ubuntu@115.159.36.184"
# alias txy2="ssh ubuntu@118.24.10.31"
alias txy3="ssh ubuntu@81.68.227.209"
alias sk1="ssh root@64.52.85.241"
alias pr1="ssh root@155.94.201.160"
alias uc1="ssh ubuntu@152.32.187.149"
alias gcp1="ssh shixuesen@35.221.158.39"
alias vim="nvim"
#alias php="/usr/local/Cellar/php@7.1/7.1.33/bin/php"
alias dev="cd /Users/shixuesen/workspace/dev"
alias www="cd /Users/shixuesen/workspace/data/www1"
alias pyoutube-dl="export http_proxy=http://127.0.0.1:1087;export https_proxy=http://127.0.0.1:1087; youtube-dl"
alias pyou-get="export http_proxy=http://127.0.0.1:1087;export https_proxy=http://127.0.0.1:1087; you-get"
alias mvn="/Users/shixuesen/Downloads/software/apache-maven-3.8.1/bin/mvn"
alias mi="mvn clean package install -Dmaven.test.skip"
alias md="mvn clean package deploy -Dmaven.test.skip"
alias mcl="mvn clean"
alias nm1="ssh root@192.168.7.101"
alias nm2="ssh root@192.168.7.102"
alias nm3="ssh root@192.168.7.103"
alias nm4="ssh root@192.168.7.104"
alias nm5="ssh root@192.168.7.105"
alias nm6="ssh root@192.168.7.106"
alias nm7="ssh root@192.168.7.107"
alias blog="cd /Users/shixuesen/workspace/dev/src/myHexoBlog"
alias ins="cd /Users/shixuesen/workspace/dev/src/graph-tutorial"
alias sins="cd /Users/shixuesen/OneDrive/Pictures/instagram && ./2.sh"
alias php74="/usr/local/opt/php@7.4/bin/php"
alias eproxy="export http_proxy=http://127.0.0.1:1087;export https_proxy=http://127.0.0.1:1087;"
alias unproxy="unset http_proxy;unset https_proxy;"
[ -f /usr/local/etc/profile.d/autojump.sh ] && . /usr/local/etc/profile.d/autojump.sh


export NVM_DIR="$HOME/.nvm"
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh"  # This loads nvm
[ -s "$NVM_DIR/bash_completion" ] && \. "$NVM_DIR/bash_completion"  # This loads nvm bash_completion
export JAVA_HOME="$(/usr/libexec/java_home -v 1.8.0_291)"
export JAVA_6_HOME="/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home"
export JAVA_7_HOME="/Library/Java/JavaVirtualMachines/zulu-7.jdk/Contents/Home"
export JAVA_8_HOME="/Library/Java/JavaVirtualMachines/jdk1.8.0_201.jdk/Contents/Home"
export JAVA_9_HOME="/Library/Java/JavaVirtualMachines/adoptopenjdk-9.jdk/Contents/Home"
export ES_JAVA_HOME="/Library/Java/JavaVirtualMachines/adoptopenjdk-11.jdk/Contents/Home/"
#export ROCKETMQ_HOME="/Users/shixuesen/Downloads/software/rocketmq-all-4.9.1-source-release/distribution/target/rocketmq-4.9.1/rocketmq-4.9.1"
export GRADLE_HOME=/usr/local/Cellar/gradle/6.5.1/libexec
export PATH=$GRADLE_HOME/bin:$PATH
export PATH="$PATH:/Users/shixuesen/workspace/dev/src/flutter/bin"
export PATH="$PATH:/usr/local/opt/python@3.7/libexec/bin/"
export PUB_HOSTED_URL="https://mirrors.tuna.tsinghua.edu.cn/dart-pub"
export FLUTTER_STORAGE_BASE_URL="https://mirrors.tuna.tsinghua.edu.cn/flutter"

function iicu64() {
  local last_dir=$(pwd)

  cd $(brew --prefix)/Homebrew/Library/Taps/homebrew/homebrew-core/Formula
  git checkout icu4c-64
  brew reinstall ./icu4c.rb
  brew switch icu4c 64.2
  git checkout master

  cd $last_dir
}

#export http_proxy=http://127.0.0.1:1087;
#export HTTPS_PROXY=http://127.0.0.1:1087;

export PATH="/usr/local/opt/python@3.7/bin:$PATH"
. /Users/shixuesen/workspace/dev/src/z/z.sh
autoload -U +X bashcompinit && bashcompinit
complete -o nospace -C /usr/local/bin/bitcomplete bit
#export PATH="/usr/local/opt/php@7.1/bin:$PATH"
#export PATH="/usr/local/opt/php@7.1/sbin:$PATH"
export PATH="/usr/local/opt/python@3.7/bin:$PATH"
export APP_ENV=local
